Module PhusionPassenger::ClassicRailsExtensions |
In: | lib/phusion_passenger/classic_rails_extensions/init.rb

Methods

- init!

Classes and Modules
Module PhusionPassenger::ClassicRailsExtensions::AnalyticsLogging
Public Class methods
init!(options)

[ show source ]

        # File lib/phusion_passenger/classic_rails_extensions/init.rb, line 28
    28:         def self.init!(options)
    29:                 if options["analytics_logger"] && options["analytics"]
    30:                         AnalyticsLogging.install!(options)
    31:                 else
    32:                         # Remove code to save memory.
    33:                         PhusionPassenger.send(:remove_const, :ClassicRailsExtensions)
    34:                 end
    35:         end